{ lib, config, ... }: {
  config = lib.mkIf (config.syscfg.make.gui) {
    programs.firefox = {
      enable = true;
      profiles = {
        main = {
          id = 0;
          settings = {
            "browser.uidensity" = 1;
            "privacy.trackingprotection.enabled" = true;
            "privacy.trackingprotection.socialtracking.enabled" = true;
            "privacy.trackingprotection.socialtracking.annotate.enabled" = true;
            "services.sync.declinedEngines" = "passwords";
            "services.sync.engine.passwords" = false;
            "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
          };
          userChrome = builtins.readFile ./userChrome.css;
        };
      };
    };
  };
}
